Subject: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Michael Albinus <[email-masked]>
Date: Thu, 25 Jan 2018 10:49:04 +0100

Noam Postavsky <[email-masked]> writes:

Hi Noam,

> Yeah, we need to test more than just that operation though.  I've added
> a test for all the operations listed in `(elisp) Magic File Names'.  I
> discovered several other similar problems.  With
> `file-name-all-completions' I even got Emacs to crash (I presume due to
> stack corruption during the recursion).  Also note that the above patch
> breaks find-file for /: quoted files, buffer-file-name needs to be bound
> more selectively (as in the new patch, attached below).
>
> `file-notify-rm-watch' and `file-notify-valid-p' are still broken, I
> can't immediately see how to fix them and it's getting past my bedtime.

Maybe I could be of some help? Pls commit your changes you have worked
on, and tell me which missing part I shall try to follow.

Best regards, Michael.